summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
-rw-r--r--media-plugins/mythplugins/Manifest1
-rw-r--r--media-plugins/mythplugins/mythplugins-0.27.6_p20160318.ebuild161
2 files changed, 162 insertions, 0 deletions
diff --git a/media-plugins/mythplugins/Manifest b/media-plugins/mythplugins/Manifest
index 413b1b6f0fc..e7cffab4af1 100644
--- a/media-plugins/mythplugins/Manifest
+++ b/media-plugins/mythplugins/Manifest
@@ -1,4 +1,5 @@
DIST mythplugins-0.27-583395f5a376637efcd408a102fa64d0f188c12f.tar.xz 58328 SHA256 b8d7b2338236baeb20a26d2c83eb3c92b9a6f0aa96c66542e47018e4c833a213 SHA512 1ed2786f9c1fd0f7d607806b6ca34100ec116191e02573cc5def18c2581bb841e6f7e5b9fe066bfb9f52931b314ead157a64ab84a27bae06610282237d249dfc WHIRLPOOL 56977fab1cb93768164c4e3feb2fe503d22d44e70fd046cdbe3b05de0066a8792afd1097721029713b3f4f30c79e34d8ba617afe4c1241af0f1a741854cc3349
DIST mythplugins-0.27.5-9498257571e8158926b60a0eefc74568c4436823.tar.xz 1364 SHA256 8b7abe67562767478f583fe36704570612425f82a05b9288cc82e3015bf2fc16 SHA512 2fe3a317ecdffc06d9e9b554cf8bfb54a324b7f1441038d51e9f77d13b53693ed6d2721282b239967c6d539947e1b119f579e49b42ba62f7dafd0144c0d28622 WHIRLPOOL 5fc5222364fbb11312f92f8adaef3adff46e89251afcdeea48d1466625072d068ebdb66f9426140765da6f4fc02a117b086033a319f148700cc164bad6fbc0f1
DIST mythtv-0.27.5.tar.gz 85652939 SHA256 7e625f94332effeadfba8e7ae7c98d44a83bfc25b7c59e39adce67dc2f4e1e1b SHA512 b912e010e54271f9321ac1b11d4a31e4093f86c0f2ae3139d4b55085bab142ca3fc6d847d163f6b75aa31320404914c71c094528dc8ee7d70086e56a828b9169 WHIRLPOOL e9ebbbabac6ed53b4ec90537371a63e053bb9a2c0a0e920e43d3d2e475f87bdd0ac5a4604045498e88aaf06b11eb054d50dea7881c87dbd45a36c08309e1b880
+DIST mythtv-0.27.6_p20160318.tar.gz 85676387 SHA256 d0b8c03d95e082e87e0fab8656358e9f3991cd08b2ec5edcbb10a9a91b1e4162 SHA512 7e94d07b4f99a15b978b42d8be11f329a938842b02ad99c9628ab6dda2fa802ca7148c5db9e6f7fae40f44027f55e69f1cdb6879ee83400934025f18ac68468f WHIRLPOOL d0f040c1ecb35e5c526477134d756a67d978aeefbf478b624eaa16e4ca1639e3b8f038507052b7d05e3a18fb85fd4e1eaeeb1a185ccfdf0fb2255fdc657be6c1
DIST mythtv-0.27.tar.gz 85904162 SHA256 494ebd7ee384e751c05ee0a1b3dcd3618caf72f1e94810381c09c2b5d1c799f0 SHA512 2ea070497a7610b8e1548112d9925a28aeedba819c2d063e88cc63daf69947379ce7213e357c26bf2221f8a8e865c937dee3b9bf2695644f2f1adeadf6d11116 WHIRLPOOL 74c4fade0d0f93a64e5f1da3120358f15f6f8891f53b7c74b41a286369e192790cae87829b79a3a90ce3ca23ede63b3dfa809b514b68cee220432794414b8a47
diff --git a/media-plugins/mythplugins/mythplugins-0.27.6_p20160318.ebuild b/media-plugins/mythplugins/mythplugins-0.27.6_p20160318.ebuild
new file mode 100644
index 00000000000..fc34d659536
--- /dev/null
+++ b/media-plugins/mythplugins/mythplugins-0.27.6_p20160318.ebuild
@@ -0,0 +1,161 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+PYTHON_COMPAT=( python2_7 )
+PYTHON_REQ_USE="xml"
+BACKPORTS="b6ae90c071a9a8eac9873fae988d5eb2434f3160"
+MY_P=${P%_p*}
+
+inherit eutils python-single-r1 vcs-snapshot
+
+DESCRIPTION="Official MythTV plugins"
+HOMEPAGE="http://www.mythtv.org"
+SRC_URI="https://github.com/MythTV/mythtv/archive/${BACKPORTS}.tar.gz -> mythtv-${PV}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+MYTHPLUGINS="+mytharchive +mythbrowser +mythgallery +mythgame \
++mythmusic +mythnetvision +mythnews +mythweather +mythzoneminder"
+
+IUSE="${MYTHPLUGINS} alsa cdda cdr exif fftw +hls ieee1394 libass raw +theora +vorbis +xml xvid"
+
+DEPEND="!media-plugins/mytharchive
+ !media-plugins/mythbrowser
+ !media-plugins/mythgallery
+ !media-plugins/mythgame
+ !media-plugins/mythmovies
+ !media-plugins/mythmusic
+ !media-plugins/mythnetvision
+ !media-plugins/mythnews
+ !media-plugins/mythweather
+ ~media-tv/mythtv-${PV}:=[alsa=,hls=,ieee1394=,libass=,python,theora=,vorbis=,xml=,xvid=]
+ dev-libs/glib:=
+ xml? ( >=dev-libs/libxml2-2.6.0:= )
+ dev-qt/qtcore:4
+ dev-qt/qtgui:4
+ dev-qt/qtopengl:4
+ dev-qt/qtsql:4
+ dev-libs/openssl:=
+ alsa? ( >=media-libs/alsa-lib-1.0.24:= )
+ hls? (
+ media-libs/faac:=
+ media-libs/libvpx:=
+ >=media-libs/x264-0.0.20111220:=
+ >=media-sound/lame-3.93.1
+ )
+ media-libs/freetype:=
+ libass? ( >=media-libs/libass-0.9.11:= )
+ media-libs/libpng:=
+ theora? (
+ media-libs/libtheora:=
+ media-libs/libogg:=
+ )
+ xvid? ( >=media-libs/xvid-1.1.0:= )
+ virtual/libudev:=
+ ieee1394? (
+ >=sys-libs/libraw1394-1.2.0:=
+ >=sys-libs/libavc1394-0.5.3:=
+ >=media-libs/libiec61883-1.0.0:=
+ )
+ x11-libs/libX11:=
+ sys-libs/zlib:=
+ x11-libs/libXext:=
+ x11-libs/libXinerama:=
+ x11-libs/libXrandr:=
+ x11-libs/libXv:=
+ x11-libs/libXxf86vm:=
+ fftw? ( sci-libs/fftw:= )
+ sys-apps/util-linux:=
+ mythzoneminder? ( virtual/mysql )
+ mytharchive? (
+ app-cdr/dvd+rw-tools
+ dev-python/pillow:=
+ media-video/dvdauthor
+ media-video/mjpegtools[png]
+ media-video/transcode
+ virtual/cdrtools
+ )
+ mythgallery? (
+ media-libs/tiff:=
+ virtual/opengl
+ exif? ( >media-libs/libexif-0.6.9:= )
+ raw? ( media-gfx/dcraw )
+ )
+ mythmusic? (
+ >=media-libs/flac-1.1.2:=
+ >=media-libs/taglib-1.6:=
+ >=media-libs/libvorbis-1.0:=
+ media-libs/libogg:=
+ >=media-sound/lame-3.93.1
+ virtual/opengl
+ cdda? (
+ dev-libs/libcdio:=
+ cdr? ( virtual/cdrtools )
+ )
+
+ )
+ mythnetvision? (
+ ${PYTHON_DEPS}
+ dev-python/lxml:=
+ dev-python/mysql-python:=
+ dev-python/oauth:=
+ dev-python/pycurl:=
+ )
+ mythweather? (
+ dev-perl/Date-Manip
+ dev-perl/DateTime-Format-ISO8601
+ >=dev-perl/DateTime-1
+ dev-perl/Image-Size
+ dev-perl/JSON
+ dev-perl/SOAP-Lite
+ dev-perl/XML-Simple
+ dev-perl/XML-Parser
+ dev-perl/XML-SAX
+ dev-perl/XML-XPath
+ )
+ mythbrowser? (
+ dev-qt/qtwebkit:4
+ )"
+RDEPEND="${DEPEND}"
+
+REQUIRED_USE="
+ cdda? ( mythmusic )
+ cdr? ( mythmusic cdda )
+ exif? ( mythgallery )
+ fftw? ( mythmusic )
+ mythmusic? ( vorbis )
+ mythnews? ( mythbrowser )
+ raw? ( mythgallery )
+ mythnetvision? ( ${PYTHON_REQUIRED_USE} )"
+
+S="${WORKDIR}/mythtv-${PV}/mythplugins"
+
+src_configure() {
+ ./configure \
+ --prefix=/usr \
+ --python=${EPYTHON} \
+ --enable-opengl \
+ $(use_enable mythzoneminder) \
+ $(use_enable mytharchive) \
+ $(use_enable mythbrowser) \
+ $(use_enable mythgallery) \
+ $(use_enable mythgame) \
+ $(use_enable mythmusic) \
+ $(use_enable mythnetvision) \
+ $(use_enable mythnews) \
+ $(use_enable mythweather) \
+ $(use_enable cdda cdio) \
+ $(use_enable exif) \
+ $(use_enable exif new-exif) \
+ $(use_enable raw dcraw) \
+ || die "configure failed"
+}
+
+src_install() {
+ emake INSTALL_ROOT="${D}" install || die "make install failed"
+}